/vaults/approvalsGet Vault Approvals
Outcome - Returns all vault approvals for the current vault.
Query Parameters
pagenumbernullableSpecifies the page number of results to return.
limitnumbernullableLimits the number of results returned.
sortKeystringnullableSort results by fields ('id', 'name', 'email', 'status').
searchstringnullableSearch term for filtering results by fields ('name', 'email', 'phone').
filtersobjectnullableAdditional filters for the query.
Show child parameters (3)
namestringnullablefilter query by name. example: filters[name] = rox
emailstringnullablefilter query by email. example: filters[email] = rox@example.com
roleIdnumbernullablefilter query by roleId. example: filters[roleId] = In(1,2,3 ....) or NotIn(1,2,3 ....)
Responses
Response attributes
messagestringResponse message
dataarrayResponse data containing admin information
Show child attributes (12)
idnumberAdmin ID
phonestringAdmin Phone (can be null)
namestringAdmin Name
emailstringAdmin Email
isTwoFactorEnabledbooleanAdmin enables two factor auth or not
mustActivateTwoFactorAuthbooleanAdmin must activate two factor auth or not
createdAtstringAdmin created at date
updatedAtstringAdmin updated at date
vaultsarrayAdmin Vaults
Show child attributes (2)
idnumberVault ID
namestringVault Name
statusstringAdmin status (active or hold)
roleAssignDatestringAdmin role assign date
stagestringAdmin stage (Email Send, Connected)
statusnumberHTTP status code
Was this page helpful?